{{- define "libdjango.beat-deployment.tpl" }}
apiVersion: apps/v1
kind: Deployment
metadata:
  name: "{{ .Release.Name }}-celery-beat"
  labels:
    {{- include "libdjango.labels" . | nindent 4 }}
    app.kubernetes.io/component: celery-beat
spec:
  replicas: 1
  selector:
    matchLabels:
      {{- include "libdjango.labels" . | nindent 6 }}
      app.kubernetes.io/component: celery-beat
  strategy:
    type: Recreate
  template:
    metadata:
      labels:
        {{- include "libdjango.labels" . | nindent 8 }}
        {{- include "libdjango.versionLabels" . | nindent 8 }}
        app.kubernetes.io/component: celery-beat
      annotations: { }
    spec:
      {{- with .Values.image.imagePullSecrets }}
      imagePullSecrets:
        {{- toYaml . | nindent 8 }}
      {{- end }}
      securityContext:
        {{- toYaml .Values.celeryBeat.podSecurityContext | nindent 8 }}
      containers:
        - name: {{ .Chart.Name }}-celery-beat
          securityContext:
            {{- toYaml .Values.celeryBeat.securityContext | nindent 12 }}
          image: "{{ .Values.image.repository }}:{{ .Values.image.tag | default .Chart.AppVersion }}"
          imagePullPolicy: {{ .Values.image.pullPolicy }}
          {{- with .Values.celeryBeat.command }}
          command:
            {{- toYaml . | nindent 12 }}
          {{- end }}
          envFrom:
            - configMapRef:
                name: "{{ .Release.Name }}-config"
            - secretRef:
                name: "{{ .Release.Name }}-secrets"
          resources:
            {{- toYaml .Values.celeryBeat.resources | nindent 12 }}
      {{- with .Values.celeryBeat.nodeSelector }}
      nodeSelector:
        {{- toYaml . | nindent 8 }}
      {{- end }}
      {{- with .Values.celeryBeat.affinity }}
      affinity:
        {{- toYaml . | nindent 8 }}
      {{- end }}
      {{- with .Values.celeryBeat.tolerations }}
      tolerations:
        {{- toYaml . | nindent 8 }}
      {{- end }}
  {{- end -}}
{{- define "libdjango.beat-deployment" -}}
{{- include "libdjango.merge" (append . "libdjango.beat-deployment.tpl") -}}
{{- end -}}
